<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Testing Crlf Injection — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `scan --url <val>` | Scan for CRLF injection points |
| `test --url <val> --param <val>` | Test CRLF injection variants |
| `exploit --url <val> --param <val> --payload <val>` | Exploit CRLF for header injection |
| `report --url <val> --format <val>` | Generate CRLF injection report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--param` | string | Yes | Param parameter |
| `--payload` | string | Yes | Payload parameter |
| `--format` | string | Yes | Format parameter |
